%% Time Delay
% This file generates input/output plots for a time delay

%% Time
Tf = 4;
t = linspace(0,Tf,100);

%% Input Signal
w = 2;
u = sin(w*t);

%% Output (Delayed) Signal
tau_d = 0.7;
v = sin(w*(t-tau_d));
v( t<=tau_d ) = 0;

%% Plot Signals
figure(1); clf;
plot(t,u,'b',t,v,'r-.'); 
xlabel('Time, t');
ylabel('u(t) and v(t)');
legend('u','v','Location','Southeast');
grid on;
set(gca, 'LooseInset', get(gca, 'TightInset'));
if exist('garyfyFigure','file') && exist('myprint','file')
    % Code to clean up and save figure.
    % These functions are not in the standard Matlab release.
    figure(1)
    garyfyFigure    
    myprint(1,'TimeDelay')
end

